### Method

# Adw Carouselscroll_to

#### Declaration [src]

    void
    adw_carousel_scroll_to (
      AdwCarousel* self,
      GtkWidget* widget,
      gboolean animate
    )

#### Description [src]

Scrolls to `widget`.

If `animate` is `TRUE`, the transition will be animated.

#### Parameters

`widget`

  Type: `GtkWidget`

  A child of `self`.

  The data is owned by the caller of the method.

`animate`

  Type: `gboolean`

  Whether to animate the transition.